<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dma_shops', function (Blueprint $table) {
            $table->id();
            $table->integer('shop_id')->comment("商品id");
            $table->text('sku')->nullable()->comment("规格");
            $table->enum('pay_type', ['wechat', 'free'])->comment("支付方式 free:免费，wechat:微信");
            $table->boolean("is_show")->default(0)->comment("0：下架，1：上架");
            $table->integer('payment_id')->nullable()->comment("支付商户id");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dma_shops');
    }
};
